Update organization
PATCH
/v1/organizationAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsondefault_currencystringTenant default display currency (ISO 4217 code, e.g. IDR, USD, EUR)
home_currencystringISO 4217 currency code used for rollup (defaults to USD if empty)
localestringTenant display locale (BCP-47 tag, e.g. id-ID, en-US, fr-FR)
logostringLogo URL
namestringrequiredOrganization name
min length 1
timezonestringIANA timezone for tenant-local date/time display
Responses
200OK
created_atstringrequireddefault_currencystringrequiredhome_currencystringrequiredidstringrequiredlocalestringrequiredlogostring | nullrequirednamestringrequiredslugstringrequiredtimezonestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/organization" \
-H "Content-Type: application/json" \
-d '{
"default_currency": "string",
"home_currency": "string",
"locale": "string",
"logo": "string",
"name": "string",
"timezone": "string"
}'const response = await fetch("/v1/organization", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"default_currency": "string",
"home_currency": "string",
"locale": "string",
"logo": "string",
"name": "string",
"timezone": "string"
})
});import requests
response = requests.patch(
"/v1/organization",
headers={
"Content-Type": "application/json"
},
json={
"default_currency": "string",
"home_currency": "string",
"locale": "string",
"logo": "string",
"name": "string",
"timezone": "string"
},
)Response
{
"created_at": "string",
"default_currency": "string",
"home_currency": "string",
"id": "string",
"locale": "string",
"logo": "string",
"name": "string",
"slug": "string",
"timezone": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}